Board index » delphi » Delphi 4.0 with oracle sql links drivers from Delphi 3.0

Delphi 4.0 with oracle sql links drivers from Delphi 3.0

Hi;
   I want to know if its possible to use the SQL links drivers from
Delphi 3.0 with Delphi 4.0 professionnal.  If so, How can I do??.

I have try but in the BDE I had an error.  Its seems that I don't have
this file "ORANT71.dll".  The error is "Vendor initialization failed",
"Cannot load an IDAPI service library".

        Any suggestion  Thank you
                        Daniel

P.S.  Excuse my english

 

Re:Delphi 4.0 with oracle sql links drivers from Delphi 3.0


Be sure that in your path in  autoexec.bat
have to be the directory where your dll is located
maybe ora73.dll or other
this in case if you are in windows 95

What oracle's version are you using?

Quote
Line Morin wrote:
> Hi;
>    I want to know if its possible to use the SQL links drivers from
> Delphi 3.0 with Delphi 4.0 professionnal.  If so, How can I do??.

> I have try but in the BDE I had an error.  Its seems that I don't have
> this file "ORANT71.dll".  The error is "Vendor initialization failed",
> "Cannot load an IDAPI service library".

>         Any suggestion  Thank you
>                         Daniel

> P.S.  Excuse my english

Re:Delphi 4.0 with oracle sql links drivers from Delphi 3.0


You error message is because you need to change the Vendor Init flag to
ORA73.dll or whatever is in your <orahome>\bin directory.

You also have another problem.  When you try to run you D4 Pro produced
program using SQL Links you will get a message saying something like this
program is not enabled to use this driver (or something close).  D4 Pro is not
allowed to create SQL Links programs.  You must have the C/S version.  Your
license to use SQL Links only applies to the product that you bought at the
C/S level.

Jeff Overcash

In article <35D97737.55B04...@globetrotter.qc.ca>, Li...@globetrotter.qc.ca
wrote:

Quote
>Hi;
>   I want to know if its possible to use the SQL links drivers from
>Delphi 3.0 with Delphi 4.0 professionnal.  If so, How can I do??.

>I have try but in the BDE I had an error.  Its seems that I don't have
>this file "ORANT71.dll".  The error is "Vendor initialization failed",
>"Cannot load an IDAPI service library".

>        Any suggestion  Thank you
>                        Daniel

>P.S.  Excuse my english

Other Threads